> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Analyst Estimates

> Retrieves analyst financial estimates for a given symbol, including projected revenue,
earnings per share (EPS), and other key metrics, as forecasted by industry analysts.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/analyst-estimates/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/analyst-estimates/query:
    post:
      tags:
        - Analyst Estimates
      summary: Analyst Estimates
      description: >-
        Retrieves analyst financial estimates for a given symbol, including
        projected revenue,

        earnings per share (EPS), and other key metrics, as forecasted by
        industry analysts.
      operationId: query_analyst_estimates_v1_analyst_estimates_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicAnalystEstimatesQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicAnalystEstimatesResponse'
components:
  schemas:
    PublicAnalystEstimatesQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            analyst estimates. You must supply one type and its corresponding
            value.
        period:
          $ref: '#/components/schemas/AllowedPeriods'
          description: >-
            Select whether the estimates to be provided are on an annual or
            quarterly basis.
          default: quarter
          examples:
            - annual
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
          description: >-
            Maximum number of analyst estimates to return. If omitted, all
            analyst estimates are returned.
          default: 20
          examples:
            - 20
      type: object
      required:
        - identifier
      title: PublicAnalystEstimatesQuery
    PublicAnalystEstimatesResponse:
      properties:
        results:
          $ref: '#/components/schemas/AnalystEstimates'
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicAnalystEstimatesResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    AllowedPeriods:
      type: string
      enum:
        - annual
        - quarter
      title: AllowedPeriods
    AnalystEstimates:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier ID of the company.
          examples:
            - GOOGL
        fields:
          items:
            type: string
          type: array
          title: Fields
          description: The fields of the analyst estimates.
          examples:
            - - FISCAL_PERIOD_END_DATE
              - REVENUE_LOW
              - REVENUE_HIGH
              - REVENUE_AVG
              - EBITDA_LOW
              - EBITDA_HIGH
              - EBITDA_AVG
              - EBIT_LOW
              - EBIT_HIGH
              - EBIT_AVG
              - NET_INCOME_LOW
              - NET_INCOME_HIGH
              - NET_INCOME_AVG
              - SGA_EXPENSE_LOW
              - SGA_EXPENSE_HIGH
              - SGA_EXPENSE_AVG
              - EPS_LOW
              - EPS_HIGH
              - EPS_AVG
              - NUM_ANALYSTS_REVENUE
              - NUM_ANALYSTS_EPS
        values:
          items:
            items:
              anyOf:
                - type: string
                - type: integer
                - type: number
            type: array
          type: array
          title: Values
          description: The values of the analyst estimates.
          examples:
            - - '2025-12-31'
              - 387588929898
              - 399321530206
              - 394966067919
              - 135473353787
              - 139574231263
              - 138051873327
              - 115816555170
              - 119322406979
              - 118020938853
              - 118458970299
              - 126884966950
              - 121111982610
              - 55347517673
              - 57022927502
              - 56400969528
              - 9.94514
              - 10.19402
              - 9.51707
              - 42
              - 47
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: AnalystEstimates
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````